/// <reference types="react" />
import { DataFormControl } from "../DataFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare enum IRadioStyleType {
    CHECKBOX = "checkbox",
    RADIO = "radio"
}
export declare class RadioGroupFormControl extends DataFormControl {
    readonly __type: string;
    list: string[];
    styleType: IRadioStyleType;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getStorageData(): object;
    setStorageData(data: object): void;
    private handleChange;
}
